Subject: Re: bug#8705: 23.3; Emacs occasionally crashes (segfault) just after starting it

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 May 2011 14:38:58 +0300

> Date: Fri, 20 May 2011 13:16:01 +0200
> From: Vincent Lefevre <[email-masked]>
> Cc: [email-masked]
> 
> On 2011-05-20 13:40:34 +0300, Eli Zaretskii wrote:
> > All of your reported crashes seem to be in a call to `getenv', which
> > is a library function, called by GTK routines deep in the GTK code.
> > It is hard to imagine that they could be Emacs problems, especially
> > since you see them since Emacs 22.
> 
> Unless Emacs has corrupted the memory earlier.

That's definitely a possibility.  However, it is strange that only you
see these problems for several versions.  If Emacs corrupts memory so
early into the session, many other users would be affected.

> I've rebuilt Emacs with -ggdb -O0. I now need to wait for another
> crash, hoping that the -O0 won't make the bug disappear.

Thanks.

> > Could you please show the backtrace until it reaches Emacs code?
> 
> It was meaningless: I got nothing until __libc_start_main.
> With the rebuild (I also installed the -dbg versions of the
> libraries, when available in Debian), I should have more
> information for the next crash...

Thanks again.